io.vertx.rxjava.ext.web.handler

## Class OAuth2AuthHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.OAuth2AuthHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, AuthHandler

      public class OAuth2AuthHandler
      extends Object
      implements AuthHandler, Handler<RoutingContext>

  An auth handler that provides OAuth2 Authentication support. This handler is suitable for AuthCode flows.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<OAuth2AuthHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuth2AuthHandler(OAuth2AuthHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthHandler` | `addAuthorities(Set<String> authorities)` Add a set of required authorities for this auth handler
    `AuthHandler` | `addAuthority(String authority)` Add a required authority for this auth handler
    `static OAuth2AuthHandler` | `create(OAuth2Auth authProvider, String callbackURL)` Create a OAuth2 auth handler with host pinning
    `OAuth2AuthHandler` | `extraParams(JsonObject extraParams)` Extra parameters needed to be passed while requesting a token.
    `OAuth2AuthHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static OAuth2AuthHandler` | `newInstance(OAuth2AuthHandler arg)`
    `OAuth2AuthHandler` | `setupCallback(Route route)` add the callback handler to a given route.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.web.handler.AuthHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<OAuth2AuthHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### OAuth2AuthHandler

          public OAuth2AuthHandler(OAuth2AuthHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public OAuth2AuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthHandler`

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `AuthHandler`
      Parameters:
        `arg0` - the event to handle

    - #### addAuthority

          public AuthHandler addAuthority(String authority)

      Add a required authority for this auth handler
      Specified by:
        `addAuthority` in interface `AuthHandler`
      Parameters:
        `authority` - the authority
      Returns:
        a reference to this, so the API can be used fluently

    - #### addAuthorities

          public AuthHandler addAuthorities(Set<String> authorities)

      Add a set of required authorities for this auth handler
      Specified by:
        `addAuthorities` in interface `AuthHandler`
      Parameters:
        `authorities` - the set of authorities
      Returns:
        a reference to this, so the API can be used fluently

    - #### create

          public static OAuth2AuthHandler create(OAuth2Auth authProvider,
                                                 String callbackURL)

      Create a OAuth2 auth handler with host pinning
      Parameters:
        `authProvider` - the auth provider to use
        `callbackURL` - the callback URL you entered in your provider admin console, usually it should be something like: `https://myserver:8888/callback`
      Returns:
        the auth handler

    - #### extraParams

          public OAuth2AuthHandler extraParams(JsonObject extraParams)

      Extra parameters needed to be passed while requesting a token.
      Parameters:
        `extraParams` - extra optional parameters.
      Returns:
        self

    - #### setupCallback

          public OAuth2AuthHandler setupCallback(Route route)

      add the callback handler to a given route.
      Parameters:
        `route` - a given route e.g.: `/callback`
      Returns:
        self

    - #### newInstance

          public static OAuth2AuthHandler newInstance(OAuth2AuthHandler arg)

Copyright © 2017. All rights reserved.